Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 989960 (qtdbf) - Review Request: qtdbf - DBF viewer
Summary: Review Request: qtdbf - DBF viewer
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: qtdbf
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Trivial
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2013-07-30 08:22 UTC by Eugene A. Pivnev
Modified: 2015-02-17 09:37 UTC (History)
4 users (show)

Fixed In Version: qtdbf-0.9.9-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 09:37:44 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Christopher Meng 2013-07-30 08:41:51 UTC
1. Please use %qmake_qt4 if possible.

2. Replace pkgconfig(QtGui) with qt4-devel

3. Summary should be "A simple DBF viewer and editor" (quoted from github homepage)

4. Change License to GPLv3+

5. Remove INSTALL file in %doc.

Package is good, once fixed and upload second version, I'll approve.

Comment 2 Eugene A. Pivnev 2013-07-30 08:56:18 UTC
(In reply to Christopher Meng from comment #1)
> 1. Please use %qmake_qt4 if possible.

Not works for me (F19):

+ %qmake_qt4 PREFIX=/usr
/var/tmp/rpm-tmp.aFeduB: line 29: fg: no job control
error: Bad exit status from /var/tmp/rpm-tmp.aFeduB (%build)

2..5 fixed.

New spec: http://tieugene.fedorapeople.org/rpms/qtdbf/qtdbf.spec
Old spec: http://tieugene.fedorapeople.org/rpms/qtdbf/qtdbf-0.9.9-1.spec
srpm: http://tieugene.fedorapeople.org/rpms/qtdbf/qtdbf-0.9.9-2.fc19.src.rpm

Comment 3 Christopher Meng 2013-07-30 08:59:03 UTC
Oh sorry, I forgot to quote that this macro is in updates-testing but not stable, so it's useless now..

However this macro is:

/usr/lib/qt4/bin/qmake \
    QMAKE_CFLAGS="${CFLAGS:--O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables}" \
    QMAKE_CXXFLAGS="${CXXFLAGS:--O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables}" \
    QMAKE_LFLAGS="${LDFLAGS:--Wl,-z,relro }"


Make sure the optflags and ldflags.

APPROVED.

Comment 4 Eugene A. Pivnev 2013-07-30 09:03:00 UTC
I'll wait for this macro in stable and will rebuild all of my qmake-based packages alltogether. Ok?

Thenk you for fastest review in the world.

Comment 5 Eugene A. Pivnev 2013-07-30 09:05:17 UTC
New Package SCM Request
=======================
Package Name: qtdbf
Short Description: A simple DBF viewer and editor
Owners: tieugene
Branches: f18 f19 el6
InitialCC:

Comment 6 Christopher Meng 2013-07-30 09:08:40 UTC
(In reply to Eugene A. Pivnev from comment #4)
> I'll wait for this macro in stable and will rebuild all of my qmake-based
> packages alltogether. Ok?

Ok.

> Thenk you for fastest review in the world.

Never mind, this software is tiny and bugless.

Besides, I forgot to say one thing:

I found help folder in datadir, not sure if it should be placed there?

I think we should use %doc help/*.

Waiting for your idea.

Comment 7 Eugene A. Pivnev 2013-07-30 09:11:36 UTC
(In reply to Christopher Meng from comment #6)
> Besides, I forgot to say one thing:
> I found help folder in datadir, not sure if it should be placed there?
> 
> I think we should use %doc help/*.
> 
> Waiting for your idea.

No, this is built-in help (F1) and must be in fixed path (hardcoded in sources) a kind of static data.
In all linuxes.

Comment 8 Christopher Meng 2013-07-30 09:12:37 UTC
Got it!

Comment 9 Michael Schwendt 2013-07-30 09:17:58 UTC
What does the program do if they are missing? When marking them %doc they may get excluded in a --excludedocs installation. That's a corner-case, but the program must not crash when the help files are missing, for example. The files are HTML plus images, so theoretically they could be marked %doc.

Comment 10 Eugene A. Pivnev 2013-07-30 09:28:00 UTC
(In reply to Michael Schwendt from comment #9)
> What does the program do if they are missing? When marking them %doc they
> may get excluded in a --excludedocs installation. That's a corner-case, but
> the program must not crash when the help files are missing, for example. The
> files are HTML plus images, so theoretically they could be marked %doc.

1. They can't be missing - they are part of package. As RH-based place docs int /usr/share/doc/<name>-<version>/ - some other distros (deb-based?) can place docs into /us/share/doc/<name>/
2. According to your proposition icons must be place into /usr/share/icons/*/ ?

So - as icons as help texts (help - not doc) as translations are simple static data.

Comment 11 Christopher Meng 2013-07-30 09:30:46 UTC
Whoops:

https://fedoraproject.org/wiki/Changes/UnversionedDocdirs

Comment 12 Eugene A. Pivnev 2013-07-30 09:37:16 UTC
From other side: %doc are optional. Helps are mandatory (in this case).

Comment 13 Michael Schwendt 2013-07-30 09:38:53 UTC
We're talking past eachother:

> 1. They can't be missing - they are part of package.

They _could_ be excluded, _if_ they were marked %doc. Currently, they aren't marked %doc. That's why I commented on the implications of marking them %doc when they are [strictly] required at run-time by a Help menu.

> 2. According to your proposition icons must be place into /usr/share/icons/*/ ?

That's nothing I've proposed.

Comment 14 Eugene A. Pivnev 2013-07-30 09:47:08 UTC
(In reply to Michael Schwendt from comment #13)
> We're talking past eachother:
> 
> > 1. They can't be missing - they are part of package.
> 
> They _could_ be excluded, _if_ they were marked %doc. Currently, they aren't
> marked %doc. That's why I commented on the implications of marking them %doc
> when they are [strictly] required at run-time by a Help menu.

Ok, in reality they are not _strictly_ required. Now qtdbf can work without them (showing "Help file missing\nNo such file or directory.").
But now it's to hard (for devels) to use distro-specific doc path.

Comment 15 Michael Schwendt 2013-07-30 09:59:56 UTC
They don't need to.

   %doc %{_datadir}/%{name}/help/

would be enough. Remember, %doc does two different things depending on whether it is applied to absolute paths or local paths.

Comment 16 Eugene A. Pivnev 2013-07-30 11:27:02 UTC
(In reply to Michael Schwendt from comment #15)
> They don't need to.
> 
>    %doc %{_datadir}/%{name}/help/
> 
> would be enough. Remember, %doc does two different things depending on
> whether it is applied to absolute paths or local paths.

And what is the aim?

Comment 17 Michael Schwendt 2013-07-30 11:51:24 UTC
That those files are properly marked as documentation, so you can query the RPM packages (or database) to list them. And then it's up to the user whether to view them in the program or with an external HTML reader.

Comment 18 Eugene A. Pivnev 2013-07-30 12:03:10 UTC
It is the reason.
Ok - I will update spec before bodhi.

Comment 19 Gwyn Ciesla 2013-07-30 12:08:21 UTC
Git done (by process-git-requests).

Comment 20 Fedora Update System 2013-07-30 17:27:19 UTC
qtdbf-0.9.9-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qtdbf-0.9.9-3.fc18

Comment 21 Fedora Update System 2013-07-30 17:48:22 UTC
qtdbf-0.9.9-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qtdbf-0.9.9-3.fc19

Comment 22 Fedora Update System 2013-07-30 17:58:19 UTC
qtdbf-0.9.9-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qtdbf-0.9.9-3.el6

Comment 23 Fedora Update System 2013-08-01 20:38:00 UTC
qtdbf-0.9.9-3.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 24 Fedora Update System 2013-08-10 03:52:29 UTC
qtdbf-0.9.9-3.fc19 has been pushed to the Fedora 19 stable repository.

Comment 25 Fedora Update System 2013-08-10 03:55:01 UTC
qtdbf-0.9.9-3.fc18 has been pushed to the Fedora 18 stable repository.

Comment 26 Fedora Update System 2013-08-10 12:35:02 UTC
qtdbf-0.9.9-3.fc19 has been pushed to the Fedora 19 stable repository.

Comment 27 Fedora Update System 2013-08-10 12:36:21 UTC
qtdbf-0.9.9-3.fc18 has been pushed to the Fedora 18 stable repository.

Comment 28 Fedora Update System 2013-10-14 16:06:47 UTC
qtdbf-0.9.9-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 29 Eugene A. Pivnev 2014-09-26 10:27:04 UTC
New Package SCM Request
=======================
Package Name: qtdbf
Short Description: A simple DBF viewer and editor
Owners: tieugene
Branches: epel

Comment 30 Gwyn Ciesla 2014-09-26 12:09:15 UTC
Invalid branch epel requested.

Comment 31 Eugene A. Pivnev 2014-09-26 12:43:09 UTC
New Package SCM Request
=======================
Package Name: qtdbf
Short Description: A simple DBF viewer and editor
Owners: tieugene
Branches: epel7

Comment 32 Gwyn Ciesla 2014-09-26 13:54:56 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.